Provision Component Role
Creates new custom component roles and provisions them to specified target components.The operation is asynchronous and returns a task ID to track the provisioning progress.
List of custom component roles to create and provision to target components
Show optional properties
{
"sourceComponentId": "string",
"targetVcfInstances": [
{}
]
}
{
"importedAt": 0,
"provisionDetails": [
{
"components": [
{
"componentId": "string",
"driftResult": "string",
"status": "string"
}
],
"summary": {
"drifted": 0,
"failed": 0,
"inProgress": 0,
"notProvisioned": 0,
"provisioned": 0
},
"vcfInstanceId": "string"
}
],
"roleId": "string",
"roleName": "string",
"sourceComponentId": "string",
"targetVcfInstances": [
"string"
]
}
The imported timestamp of the role for the specific instance
Custom role provision details
ID of the Role
Name of the Role
Source component details
VCF instances
Custom role creation and provisioning task initiated successfully
{
"errorDetails": {
"errorCode": "string",
"errorMessage": "string",
"timestamp": 0
},
"taskId": "string",
"taskStatus": "string",
"taskType": "string"
}
Error Details for sso task failure
Identifier of the IAM task
State of the IAM task
IAM Task Type
curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"sourceComponentId":"string","targetVcfInstances":["string"]}' https://{api_host}/suite-api/api/fleet-management/iam/components/roles